<template>
    <div>
        <label class="offset-md-2 col-sm-2 col-form-label">{{label}}:&nbsp;</label>
        <div class="col-md-6">
            <input
                type="date"
                class="form-control"
                :name="name"
                :value="field_value ? field_value : ''"
                @input="$emit('input', $event.target.value)"
                :placeholder="placeholder"
                :readonly="this.$route.path === '/list'"
            >
        </div>
    </div>
</template>

<script>
export default {
    name: "Date",
    props: ["placeholder", "label", "name", "field_value"]
};
</script>